#ifndef VECTORSET_H_
#define VECTORSET_H_

#include <vector>
#include <list>

using namespace std;

class VectorSet {
private:
	list< vector<double> > vSet;
	
public:
	void addElement(vector<double> e);
	list< vector<double> >::iterator deleteElement(list< vector<double> >::iterator pos);	
	int size();
	void toArray(vector<double> array[]);
	string toString();
	string vectorToString(vector<double> v);
	list< vector<double> >::iterator begin();
	list< vector<double> >::iterator end();
};

#endif /*VECTORSET_H_*/
