#include "VectorSet.h"
#include <sstream>

void VectorSet::addElement(vector<double> e) {
	vSet.push_back(e);
}

list< vector<double> >::iterator VectorSet::deleteElement(list< vector<double> >::iterator pos) {
	return vSet.erase(pos);
}


int VectorSet::size() {
	return vSet.size();
}

list< vector<double> >::iterator VectorSet::begin() {
	return vSet.begin();
}

list< vector<double> >::iterator VectorSet::end() {
	return vSet.end();
}

void VectorSet::toArray(vector<double> array[]) {
	list< vector<double> >::const_iterator pos;
	int i;
	
	for (i = 0, pos = vSet.begin(); pos != vSet.end(); ++pos, ++i)
		array[i] = *pos;
}


string VectorSet::toString() {
	list< vector<double> >::const_iterator pos;
	ostringstream str;
		
	for (pos = vSet.begin(); pos != vSet.end(); ++pos) {
		for (unsigned int i = 0; i < pos->size(); ++i)
			str << pos->at(i) << " ";
		str << endl;
	}
	
	return str.str();
}

string VectorSet::vectorToString(vector<double> v) {
	ostringstream str;
		
	for (unsigned int i = 0; i < v.size(); ++i)
		str << v[i] << " ";
	
	return str.str();
}
